Apache2, PHP5, phpmyadmin - le akar tölteni?

Fórumok

Frissen telepítettem az Apache2, PHP5, és a phpmyadmin. A MySQL már szaladgál, köszöni jól van.
Egy másik gépről próblom indítani a phpmyadmint:
http://192.168.x.x/phpmyadmin

Erre valamit le akar tölteni "x-httpd-php".
Ugyanígy viselkedik, ha lokálisan a lynx -el próbálkozom.
Mit kellene még beállítanom?
A /usr/share/doc/phpmyadmin nem sok útmutatást ad :(

Hozzászólások

addtype a baratod
meg a manual, az RTFM

t

Tudom. A Debian nem annyira user barát, de amikor felpakolom a PHP5 -öt, felrakom a phpmyadmin -t, gondoltam ezt elsikálja. Egyébként valamit ki is ír hogy módosítja az /etc/apache2/apache2.conf -ot - de nem találok benne változást (lehet hogy nem nézem eléggé figylemesen - kicsit kialvatlan vagyok).

Ha már így belementünk, googlizás közben (találtam valami leírást LAMP telepítésről Debianra - ez gondolom nagyjából az ami nekem kell) és azzal kezdi, hogy telepíti az Apache2 -ot, viszont nem ajánlja a multithreaded "apache2-mpm-worker" -t, amikor telepítettem a PHP5 -öt akkor cserélte le! Eredetileg az mpm-prefork -ot telepítette. Ez mind Etch - stable. Most akkor mi van? Mi baj a multithreaded modellel?

* Én egy indián vagyok. Minden indián hazudik.

ubuntu alatt a mods-available ben található php5.load és a php5.conf fileokra kell linket késziteni a mods-enabled könyvtárban.
Amugy meg ilyesmire gondolt:
AddType application/x-httpd-php .php .phtml .php3
AddType application/x-httpd-php-source .phps

LoadModule php5_module /usr/lib/apache2/modules/libphp5.so

kb.

Itt valami nagyon nem stimmel :(
Az /etc/Apache2/mods-available könyvtárban semmilyen php -ra utaló modult nem látok!?

Egyébként most találtam egy cikket ck. 1 éves amiben a szerző mindenkit körberöhögve, mindeösszesen két bejegyzést módosított az /etc/php5/apache2/php5.ini fájlban és minden működött! Nekem még ilyen könyvtáram sincs :( http://www.debiantutorials.org/content/view/175/268/
Most akkor én mit is telepítettem fel? Rossz a telepítési sorrend?
Lehet hogy inkább "roll-back" itt valami bűzlik :(

* Én egy indián vagyok. Minden indián hazudik.

Miután telepítettem még egy kupac csomagot!?
A localhost -ról lynx -el elérem :)

Most már csak azt kell kitalálnom, hogy tudom a hálózatomra kiengedni - a lynx egy kicsit fapados egy ilyen feladathoz :(

Azért van még mit keresgélni a dependenci környékén. Egyébiránt mikor feltettem a "libapache2-mod-php5" csomagot megint(?) lecserélte az mpm-worker -t az mpm-prefork -ra. Így azt hiszem kezd gömbölyödni.

* Én egy indián vagyok. Minden indián hazudik.

próba és megérzés alapján, átnyomtam a phpmysql -t az ssl szekcióba (mint hogy a linket) és voila mükszik.
Tény, hogy backport MySQL -t telepítettem (5.0.51a-3) - ezt elfelejtettem mondani - bocs!
Próbálom helyre tenni a dolgokat a fejemben!
Feltettem a PHP5 -öt, nem tudott róla hogy fenn van az apache2 és ahhoz kellhet a libapache-php5-mod? Vagy lehet hogy előbb nyomtam fel a PHP5 -öt és még csak nem is javasolt valami httpd cuccost (azt hiszem így hívják a metacsomagot). Elvileg lehet PHP -t használni http szerver nélkül - de van ennek értelme?
Az /etc/apache2/sitesavailable/default -ban default könyvtár:

...
Order allow,deny
allow from all
RedirectMatch ^/$ /apache2-default/

Most akkor ez nem érhető el akárhonnan, mert eredetileg itt volt a link a phpmyadmin -ra? Lehet hogy itt valami más akadályozza meg, hogy nyílt, védtelen csatornán kifusson a cucc? Ti tudjátok?

* Én egy indián vagyok. Minden indián hazudik.